import 'package:google_map_fluttify/google_map_fluttify.dart';
import 'package:google_map_fluttify/src/android/android.export.g.dart';
import 'package:google_map_fluttify/src/ios/ios.export.g.dart';

extension LatLngX on LatLng? {
  Future<com_google_android_gms_maps_model_LatLng?> toAndroidModel() async {
    if (this == null) return null;
    return com_google_android_gms_maps_model_LatLng.create__double__double(
      this?.latitude ?? 0,
      this?.longitude ?? 0,
    );
  }

  Future<CLLocationCoordinate2D?> toIOSModel() async {
    if (this == null) return null;
    return CLLocationCoordinate2D.create(
      this?.latitude ?? 0,
      this?.longitude ?? 0,
    );
  }
}

extension GMSMarkerListX on List<GMSMarker> {
  Future<void> setInfoWindow(List<UIImage> infoWindow) async {
    await addProperty_batch(13, infoWindow);
  }
}
